summaryrefslogtreecommitdiff
path: root/private/librsync
diff options
context:
space:
mode:
authorEugen Wissner <belka@caraus.de>2022-01-13 19:12:08 +0100
committerEugen Wissner <belka@caraus.de>2022-01-13 19:12:08 +0100
commitbc24ce77ba4f39a1b70b7dca87f306be759652f0 (patch)
tree3c987b0616a541569f6f005f1426897f2e1db7d1 /private/librsync
parent5f4f478e699262e8ee96baea389bf373d175c56b (diff)
downloadslackbuilder-bc24ce77ba4f39a1b70b7dca87f306be759652f0.tar.gz
librsync: Added
Diffstat (limited to 'private/librsync')
-rw-r--r--private/librsync/README8
-rw-r--r--private/librsync/librsync.SlackBuild95
-rw-r--r--private/librsync/librsync.info10
-rw-r--r--private/librsync/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/private/librsync/README b/private/librsync/README
new file mode 100644
index 0000000..4018331
--- /dev/null
+++ b/private/librsync/README
@@ -0,0 +1,8 @@
+librsync (rsync synchronization algorithm library.)
+
+librsync is a free software library that implements the rsync remote-delta
+algorithm.
+
+The rsync remote-delta algorithm is a method of efficiently transmitting a
+structure (such as a file) across a communications link when the receiving
+computer already has a different version of the same structure.
diff --git a/private/librsync/librsync.SlackBuild b/private/librsync/librsync.SlackBuild
new file mode 100644
index 0000000..5929da9
--- /dev/null
+++ b/private/librsync/librsync.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/bash
+
+# Slackware build script for librsync.
+# Written by Lyle Sigurdson <lyle_s@myrealbox.com>.
+# Copyright 2020 Ricardo J. Barberis <ricardo.barberis@gmail.com>
+#
+# Free for any use; no warranty.
+
+# Modified by the SlackBuilds.org project
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=librsync
+VERSION=${VERSION:-2.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+make
+make install DESTDIR=$PKG
+cd ..
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING CONTRIBUTING.md NEWS.md README.md THANKS TODO.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/private/librsync/librsync.info b/private/librsync/librsync.info
new file mode 100644
index 0000000..d5880e2
--- /dev/null
+++ b/private/librsync/librsync.info
@@ -0,0 +1,10 @@
+PRGNAM="librsync"
+VERSION="2.3.2"
+HOMEPAGE="https://github.com/librsync/librsync"
+DOWNLOAD="https://github.com/librsync/librsync/releases/download/v2.3.2/librsync-2.3.2.tar.gz"
+MD5SUM="74ba5b50de5ba3d595828e9109fa5fce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ricardo J. Barberis"
+EMAIL="ricardo.barberis@gmail.com"
diff --git a/private/librsync/slack-desc b/private/librsync/slack-desc
new file mode 100644
index 0000000..6ba574a
--- /dev/null
+++ b/private/librsync/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+librsync: librsync (rsync synchronization algorithm library.)
+librsync:
+librsync: librsync is a free software library that implements the rsync
+librsync: remote-delta algorithm.
+librsync:
+librsync: The rsync remote-delta algorithm is a method of efficiently
+librsync: transmitting a structure (such as a file) across a communications link
+librsync: when the receiving computer already has a different version of the
+librsync: same structure.
+librsync:
+librsync: Slackbuild written by Lyle Sigurdson.